// Class QRadioButtonGroup 
// Filename QRadioButtonGroup.h 
// FaPra 2003-2004, A5, Alexander Kramer

#ifndef QRadioButtonGroup_h 
#define QRadioButtonGroup_h 


//! Pre-declaration of QRadioButtonGroup
class QRadioButtonGroup;


#include "QRadioButton.h"

//! Radio Button Group
class QRadioButtonGroup
{
protected:
//! radio buttons in the group
list<QRadioButton*> Items;

public:
//! adds a button to this group
 void add( QRadioButton*  button );

//! removes a button from this group
 void remove( QRadioButton*  button );

//! sets given radio button as selected
 void setAsSelected( QRadioButton*  button );

//! prints itself to the cout
 void print();

//! Constructor
  QRadioButtonGroup(  );

//! Destructor
virtual  ~QRadioButtonGroup();


};
#endif

