// Class QColor 
// Filename QColor.h 
// FaPra 2003-2004, A5, Alexander Kramer

#ifndef QColor_h 
#define QColor_h 


//! Pre-declaration of QColor
class QColor;



//! Color Class. The values of color components are in range [0..1]
class QColor
{
protected:
//! red
float R;

//! green
float G;

//! blue
float B;

//! alpha
float A;

public:
//! sets the color as current for drawing context
 void setAsCurrent();

//! sets the color
 const void set( float  r , float  g , float  b , float  a );

//! getter method for R
virtual float getR();

//! setter method for R
virtual void setR( float  newValue );

//! getter method for G
virtual float getG();

//! setter method for G
virtual void setG( float  newValue );

//! getter method for B
virtual float getB();

//! setter method for B
virtual void setB( float  newValue );

//! getter method for A
virtual float getA();

//! setter method for A
virtual void setA( float  newValue );

//! copy itself from another instance
 void copyFrom( QColor*  from );

//! prints itself to the cout
 void print();

//! Constructor
  QColor(  );

//! Destructor
virtual  ~QColor();


};
#endif

